#ifndef _LEWC_
#define _LEWC_

#include <QObject>
#include <QWidget>
#include <QLineEdit>
#include <QPainter>
#include <QTimer>

class LineEditWC : public QLineEdit {
	Q_OBJECT

public:
	LineEditWC(QWidget *p = 0) : QLineEdit(p), chk_state(0) { }
	~LineEditWC() { }

	virtual void paintEvent(QPaintEvent *ev) 
	{
		QLineEdit::paintEvent(ev);
		QPainter r(this);
		switch (chk_state) {
		case 0:
				r.drawPixmap(this->size().width() - 22, 0, QPixmap());
				break;
		case 1:
				r.drawPixmap(this->size().width() - 22, 4, 
							 QPixmap(QString(":/pics/tick.png")));
				break;
		case -1:
				r.drawPixmap(this->size().width() - 22, 4, 
							 QPixmap(QString(":/pics/cross.png")));
				break;
		}
	}

private slots:
	void chk_clear() { chk_state = 0; this->repaint(); }

public slots:
	void chk(bool v)
	{
		chk_state = v ? 1 : -1;
		this->repaint();
		QTimer::singleShot(2000, this, SLOT(chk_clear()));
	}

private:
	int		chk_state;
};

#endif
